/**
 *#########################################################################
 *
 * A component of the Gatherer application, part of the Greenstone digital
 * library suite from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * <BR><BR>
 *
 * Author: John Thompson, Greenstone Digital Library, University of Waikato
 *
 * <BR><BR>
 *
 * Copyright (C) 1999 New Zealand Digital Library Project
 *
 * <BR><BR>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * <BR><BR>
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * <BR><BR>
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *########################################################################
 */
package org.greenstone.gatherer.gui;

import java.awt.*;
import javax.swing.JTable;
import javax.swing.table.*;

/** An extension of a JTable that allows for the background, foreground, heading and selection colors to be set in single actions. */
public class SmarterTable
    extends JTable {

    public void setBackground(Color color) {
	super.setBackground(color);
	TableCellRenderer renderer = getDefaultRenderer(String.class);
	((DefaultTableCellRenderer)renderer).setBackground(color);
    }

    public void setForeground(Color color) {
	super.setForeground(color);
	TableCellRenderer renderer = getDefaultRenderer(String.class);
	((DefaultTableCellRenderer)renderer).setForeground(color);
    }

    public void setHeadingBackground(Color color) {
	JTableHeader header = getTableHeader();
	header.setBackground(color);
    }

    public void setHeadingForeground(Color color) {
	JTableHeader header = getTableHeader();
	header.setForeground(color);
    }

    public void setSelectionColor(Color color) {
	super.setSelectionBackground(color);
    }
	 
    public void setSelectedTextColor(Color color) {
	super.setSelectionForeground(color);
    }
}
